Request
[GET]
Header
| Header | Type | Description |
|---|---|---|
| AppId | string | Create an app to get your app ID on dashboard here |
| Authorization | string | Private/secret key. Use <key> not Bearer <key> |
Query Parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
| longitude | string | longtitude of location | required |
| latitude | string | latitude of the location | required |
Response
Response
Response Fields
| Field | Type | Description |
|---|---|---|
| entity | object | Contains the response data |
| entity.address_components | object | Breakdown of the address into individual components |
| entity.address_components.plus_code | string | Google Plus Code for the location |
| entity.address_components.premise | string | Building or premise name |
| entity.address_components.street_number | string | Street number of the address |
| entity.address_components.route | string | Street or road name |
| entity.address_components.locality | string | City or locality name |
| entity.address_components.postal_town | string | Postal town name |
| entity.address_components.administrative_area_level_2 | string | County or second-level administrative area |
| entity.address_components.administrative_area_level_1 | string | State or first-level administrative area |
| entity.address_components.country | string | Country name |
| entity.address_components.postal_code | string | Postal or ZIP code |
| entity.address_components.neighborhood | string | Neighborhood name |
| entity.formatted_address | string | Full formatted address string |